Pagina 1 di 2

How-To: Installare Gnome Slackware su Slackware Current

Inviato: dom mag 20, 2007 16:26
da BodomLx
Come promesso, ho formattato il notebook e ripetuto tutti i passi per installare Gnome Slacky su Slackware Current del 15 Maggio (kernel 2.16.21, glibc 2.5, python 2.5).
Se un giorno avrò coraggio aggiornerò alla current attuale e vedrò se funziona:
http://www.slacky.eu/wikislack/index.php?title=Gnome_Slacky_su_Slackware_Current
In bocca al lupo, spero che abbiate c**o com'è successo a me 8)

Se volete aggiungetela negli "ultimi articoli inseriti"

Fatemi sapere!

Inviato: dom mag 20, 2007 17:21
da BodomLx
UPDATE: non ho resistito ed ho aggiornato il sistema con slapt-get (tutto il sistema) alla current attuale
Funziona! E' tutto a posto!

Inviato: dom mag 20, 2007 17:58
da gohanz
Complimenti Bodom! :p Ma sei sicuro che funzioni tutto? Anche i programmi Python? Una piccola precisazione /dev/fd0 non va commentato in /etc/fstab!

Inviato: dom mag 20, 2007 18:29
da gnubit
Dipende se il floppy ce l'hai o meno...

Cavolo finisco di svuotare un po' il disco usb (che gridava pietà) e dopo mi monto lo gnomo.
Sono proprio curioso, l'altro giorno ho aiutato un cliente con ubuntu (il dvd di slackware urlava "la conosco io la soluzione").

Personalmente non sono mai stato un patito di gnome, ma senza nessuna particolare ragione, ma se piace a tanti ... vale sicuramente la pena di provarla.

Inviato: dom mag 20, 2007 18:41
da gohanz
gnubit ha scritto:Dipende se il floppy ce l'hai o meno...

Cavolo finisco di svuotare un po' il disco usb (che gridava pietà) e dopo mi monto lo gnomo.
Sono proprio curioso, l'altro giorno ho aiutato un cliente con ubuntu (il dvd di slackware urlava "la conosco io la soluzione").

Personalmente non sono mai stato un patito di gnome, ma senza nessuna particolare ragione, ma se piace a tanti ... vale sicuramente la pena di provarla.


Sul floppy non viene effettuato il polling, insomma non è come con il cdrom che viene rilevato via hardware! Per questo non a senso commentarlo!

In ogni caso ti conviene usare l'ultima revisione! ;)

Inviato: dom mag 20, 2007 19:20
da BodomLx
Non ho provato tutto, ovvio, da ieri a oggi sono stato occupato a ri-formattare e scrivere l'how to :)
Spero davvero che vada cavoli, secondo me ho avuto fortuna con quella current del 15 maggio..perchè grandi modifiche non ne ho fatte..Probabilmente l'installazione funziona solo se si installa direttamente la current e si aggiorna.. Senza aggiornare dalla 11 alla current.. boh vedremo con i test

Comunque hal funziona..il mount automatico di chiavette usb funziona..beagle va senza dover fare nessuna modifica (grazie a chi l'ha inserito di default a proposito :D )

Ora elimino il floppy, grazie per la dritta..non ce l'ho neanche sul notebook :D

Inviato: dom mag 20, 2007 20:08
da BodomLx
Update: pure compilandosi un proprio kernel, non ci sono problemi riscontrati, anzi gli eventi acpi e robe energetiche varie funzionano, come gnome-power-manager e la sua applet, quanto adoro quando viene rilevata la carica della batteria oppure quando scolleghi l'alimentazione :toothy7:

Inviato: lun mag 21, 2007 10:07
da BodomLx
Update: il nuovo installer 2.18.1Tr2 rileva in modo corretto che il mio sistema utilizza Slackware Current. Ho fatto una piccola modifica per utilizzarlo lo stesso, vediamo come va a finire. Nel frattempo sconsiglio di utlizzare il mio how-to fino a che non sará modificato a dovere
Certo che é strano se ora con la nuova release dell'installer non funziona piú..sto rimuovendo ora gslacky "vecchio"..vi faró sapere con il nuovo..

Inviato: lun mag 21, 2007 10:13
da submax82
BodomLx ha scritto:Update: il nuovo installer 2.18.1Tr2 rileva in modo corretto che il mio sistema utilizza Slackware Current. Ho fatto una piccola modifica per utilizzarlo lo stesso, vediamo come va a finire. Nel frattempo sconsiglio di utlizzare il mio how-to fino a che non sará modificato a dovere
Certo che é strano se ora con la nuova release dell'installer non funziona piú..sto rimuovendo ora gslacky "vecchio"..vi faró sapere con il nuovo..


basta che commenti il controllo funzionerà come prima...

in install.sh nella funzione checkup commenta queste righe

Codice: Seleziona tutto

if [ "$(cat /etc/slackware-version)" != "$SLACKWARE_VER_VALIDATE" ]; then
    dialog --title "[ ERROR ]" --msgbox "Slackware version must be: "$SLACKWARE_VER_VALIDATE"!" 5 25
    exit 3
 fi

Inviato: lun mag 21, 2007 10:18
da BodomLx
submax82 ha scritto:
BodomLx ha scritto:Update: il nuovo installer 2.18.1Tr2 rileva in modo corretto che il mio sistema utilizza Slackware Current. Ho fatto una piccola modifica per utilizzarlo lo stesso, vediamo come va a finire. Nel frattempo sconsiglio di utlizzare il mio how-to fino a che non sará modificato a dovere
Certo che é strano se ora con la nuova release dell'installer non funziona piú..sto rimuovendo ora gslacky "vecchio"..vi faró sapere con il nuovo..


basta che commenti il controllo funzionerà come prima...

in install.sh nella funzione checkup commenta queste righe

Codice: Seleziona tutto

if [ "$(cat /etc/slackware-version)" != "$SLACKWARE_VER_VALIDATE" ]; then
    dialog --title "[ ERROR ]" --msgbox "Slackware version must be: "$SLACKWARE_VER_VALIDATE"!" 5 25
    exit 3
 fi

Si l'ho ben scritto che lo utilizzo lo stesso, grazie comunque :D tra poco finisce di rimuovere i pacchetti, vediamo se li re-installa correttamente anche..

Inviato: lun mag 21, 2007 11:14
da submax82
BodomLx ha scritto:
submax82 ha scritto:
BodomLx ha scritto:Update: il nuovo installer 2.18.1Tr2 rileva in modo corretto che il mio sistema utilizza Slackware Current. Ho fatto una piccola modifica per utilizzarlo lo stesso, vediamo come va a finire. Nel frattempo sconsiglio di utlizzare il mio how-to fino a che non sará modificato a dovere
Certo che é strano se ora con la nuova release dell'installer non funziona piú..sto rimuovendo ora gslacky "vecchio"..vi faró sapere con il nuovo..


basta che commenti il controllo funzionerà come prima...

in install.sh nella funzione checkup commenta queste righe

Codice: Seleziona tutto

if [ "$(cat /etc/slackware-version)" != "$SLACKWARE_VER_VALIDATE" ]; then
    dialog --title "[ ERROR ]" --msgbox "Slackware version must be: "$SLACKWARE_VER_VALIDATE"!" 5 25
    exit 3
 fi

Si l'ho ben scritto che lo utilizzo lo stesso, grazie comunque :D tra poco finisce di rimuovere i pacchetti, vediamo se li re-installa correttamente anche..


attento!!! la rimozione ripristinerà i pacchetti di slackware 11.0 e non di current! la rimozione con la current NON và usata... io parlavo dell'installazione

Ho lett

Inviato: lun mag 21, 2007 11:43
da BodomLx
Ho letto la tua risposta troppo tardi :-) infatti sto rispondendo da links, penso che sappiate cosa voglia dire.. non c'e' problema, oggi re-installo da zero e rifaccio la guida, se funziona la aggiorno..
Comunque ho notato che non viene installato il pacchetto gnome-session, dice che e'corrotto.. Spero sia stato un problema di download dell'iso..
Vi faro' sapere di ulteriori sviluppi..auguratemi buona fortuna e buona smanettata :-)

Re: Ho lett

Inviato: lun mag 21, 2007 11:46
da gohanz
BodomLx ha scritto:Ho letto la tua risposta troppo tardi :-) infatti sto rispondendo da links, penso che sappiate cosa voglia dire.. non c'e' problema, oggi re-installo da zero e rifaccio la guida, se funziona la aggiorno..
Comunque ho notato che non viene installato il pacchetto gnome-session, dice che e'corrotto.. Spero sia stato un problema di download dell'iso..
Vi faro' sapere di ulteriori sviluppi..auguratemi buona fortuna e buona smanettata :-)


Ho controllato ed il pacchetto gnome-session è integro! Forse un problema con il tuo cd! Controlla l'md5

Re: Ho lett

Inviato: lun mag 21, 2007 13:43
da submax82
BodomLx ha scritto:Ho letto la tua risposta troppo tardi :-) infatti sto rispondendo da links, penso che sappiate cosa voglia dire.. non c'e' problema, oggi re-installo da zero e rifaccio la guida, se funziona la aggiorno..
Comunque ho notato che non viene installato il pacchetto gnome-session, dice che e'corrotto.. Spero sia stato un problema di download dell'iso..
Vi faro' sapere di ulteriori sviluppi..auguratemi buona fortuna e buona smanettata :-)


mi spiace... nella guida... per sicurezza è meglio che fai commentare anche la parte che ripristina i pacchetti slackware 11

Inviato: lun mag 21, 2007 14:15
da BodomLx
Funziona alla grande, ho aggiornato il tutorial, ora allineato con Gnome Slacky 2.18.1Tr2
Se volete usare Slackware Current e Gnome, andate a leggere la guida, installate Gnome Slacky, e riportate eventuali problemi :D